Bug 977973 - evolution stuck again
evolution stuck again
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
: 980248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 13:18 EDT by Mikhail
Modified: 2015-02-17 10:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtraces of evolution (4.01 KB, application/x-bzip)
2013-06-25 13:18 EDT, Mikhail
no flags Details
screenshot (273.40 KB, image/png)
2013-06-25 13:18 EDT, Mikhail
no flags Details
console output (249.15 KB, text/plain)
2013-06-25 13:21 EDT, Mikhail
no flags Details
yet another backtrace of evolution when it stuck again (4.29 KB, application/x-bzip)
2013-06-30 23:38 EDT, Mikhail
no flags Details
yet another backtrace of evolution when it stuck again (4.31 KB, application/x-bzip)
2013-07-11 16:11 EDT, Mikhail
no flags Details
new backtraces of evolution when it stuck again (2.12 KB, application/x-bzip)
2013-07-25 12:01 EDT, Mikhail
no flags Details
new backtraces of evolution when it stuck again (2.12 KB, application/x-bzip)
2013-07-31 22:47 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-06-25 13:18:11 EDT
Created attachment 765209 [details]
backtraces of evolution

Description of problem:
evolution stuck again

$ rpm -qa | grep evolution | sort
evolution-3.8.3-2.fc19.i686
evolution-data-server-3.8.3-1.fc19.i686
evolution-data-server-debuginfo-3.8.3-1.fc19.i686
evolution-debuginfo-3.8.3-2.fc19.i686
evolution-ews-3.8.3-1.fc19.i686
evolution-ews-debuginfo-3.8.3-1.fc19.i686
Comment 1 Mikhail 2013-06-25 13:18:52 EDT
Created attachment 765210 [details]
screenshot
Comment 2 Mikhail 2013-06-25 13:21:28 EDT
Created attachment 765211 [details]
console output
Comment 3 Milan Crha 2013-06-26 10:13:38 EDT
Thanks for a bug report. I see most of the processes idle, the only working is evolution (asking for a password of your ews account), the other one is the calendar factory, asking for a password of a CalDAV calendar. None of these is shown in the source registry process.

From the console output, it seems you get an Unauthorised response from the server, your stored password is probably wrong. I would reenter the password in Online Accounts, to make it work again. The error is:

> ** (evolution:2676): WARNING **: Failed to obtain an access token for
> 'user@gmail.com': GDBus.Error:org.gnome.OnlineAccounts.Error.NotAuthorized:
> Invalid password with username `user@gmail.com' (goa-error-quark, 0): Code:
> 401 - Unexpected response from server

Though it's for your GMail account. The EWS account seems to suffer of a connection issue, at least according to:
> No response: Connection terminated unexpectedly

I suppose once the server will start responding properly, can be cause by any server between you and the destination exchange server, then the issue will be fixed on its own.
Comment 4 Mikhail 2013-06-26 10:44:28 EDT
GMail account not work because Online Accounts not support 2 step authentication for Google accounts. I filled bug report here: https://bugzilla.redhat.com/show_bug.cgi?id=971607

But not any answer :(
Comment 5 Mikhail 2013-06-30 23:38:43 EDT
Created attachment 767211 [details]
yet another backtrace of evolution when it stuck again
Comment 6 Milan Crha 2013-07-01 05:07:29 EDT
Backtraces show exactly the same thing as before (from comment #3):
> I see most of the processes idle, the only working
> is evolution (asking for a password of your ews account), the other one is
> the calendar factory, asking for a password of a CalDAV calendar. None of
> these is shown in the source registry process.
Comment 7 Milan Crha 2013-07-03 04:54:37 EDT
*** Bug 980248 has been marked as a duplicate of this bug. ***
Comment 8 Mikhail 2013-07-11 16:11:04 EDT
Created attachment 772404 [details]
yet another backtrace of evolution when it stuck again
Comment 9 Milan Crha 2013-07-12 05:19:28 EDT
Still the same issue. I think there is no reproducer except of two-factor authentication for Google in use? Could you disable the Google account in Gnome Online Accounts, if you do not have yet, please?
Comment 10 Mikhail 2013-07-25 12:00:27 EDT
I am has disabled the Google account in Gnome Online Accounts. But today evolution hang again. Seems this is relate with network problems.
Comment 11 Mikhail 2013-07-25 12:01:48 EDT
Created attachment 778341 [details]
new backtraces of evolution when it stuck again
Comment 12 Milan Crha 2013-07-26 12:28:54 EDT
The evolution and evolution-alarm-notify "backtraces" claim that the executable was deleted, from which I suppose you updated the package(s). I would try to restart the machine, to get all the new packages in action.
Comment 13 Mikhail 2013-07-31 22:47:22 EDT
Created attachment 781411 [details]
new backtraces of evolution when it stuck again
Comment 14 Mikhail 2013-07-31 22:48:33 EDT
$ evolution
Created new window in existing browser session.

(evolution:2402): evolution-mail-WARNING **: Failed to refresh folder 'm.gavrilov@citrus-it.ru: Inbox': The specified object was not found in the store.
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
DWPBase: /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin
Created new window in existing browser session.
Created new window in existing browser session.

(evolution:2402): evolution-mail-WARNING **: Failed to refresh folder 'm.gavrilov@citrus-it.ru: Inbox': No response: Connection terminated unexpectedly
Comment 15 Milan Crha 2013-08-01 01:07:26 EDT
(In reply to Mikhail from comment #13)
> Created attachment 781411 [details]
> new backtraces of evolution when it stuck again

The content is almost the same as in comment #11. Is it possible you didn't restart the machine since you updated evolution packages the last time? The machine restart it better to make sure all the updated binaries will reload their newer versions.

(In reply to Mikhail from comment #14)
> $ evolution
> Created new window in existing browser session.
>
>...
>
> DWPBase:
> /home/mikhail/.config/libreoffice/4/user/uno_packages/cache/uno_packages/
> luq0mqw6.tmp_/orfo4ooo-linux.oxt/base/../base/DWPBase.bin

The above are new to me, I didn't see it myself yet. Could they come from libreoffice, which you've run on the same terminal? Or maybe a browser plugin from libreoffice is printing this, and is loaded together with Webkit in evolution.

> (evolution:2402): evolution-mail-WARNING **: Failed to refresh folder
> 'm.gavrilov@citrus-it.ru: Inbox': The specified object was not found in the
> store.
> 
> ...
>
> (evolution:2402): evolution-mail-WARNING **: Failed to refresh folder
> 'm.gavrilov@citrus-it.ru: Inbox': No response: Connection terminated
> unexpectedly

I guess the second is caused by the first. I guess there was some issues with connection to your server. Maybe your IT were updating it or something.
Comment 16 Fedora Admin XMLRPC Client 2014-09-04 10:28:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora End Of Life 2015-01-09 13:32:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:41:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.